import { FunctionComponent } from 'react';
import { BoxProps } from './Box';
export declare type BadgeProps = {
    type?: 'green' | 'red' | 'blue' | 'purple' | 'orange';
    custom?: {
        background: string;
        color?: string;
    };
    disabled?: boolean;
} & Pick<BoxProps, Exclude<keyof BoxProps, 'padding' | 'paddingBottom' | 'paddingLeft' | 'paddingRight' | 'paddingTop' | 'paddingX' | 'paddingY' | 'font-size' | 'background' | 'color'>>;
export declare const Badge: FunctionComponent<BadgeProps>;
//# sourceMappingURL=Badge.d.ts.map