"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("./common");
const background = {
    className: 'bg',
    cssName: 'background'
};
const color = {
    className: 'clr',
    cssName: 'color'
};
const opacity = {
    className: 'opy',
    cssName: 'opacity'
};
exports.colorEnhancers = {
    background: (value) => common_1.enhancer(background, value, common_1.theme[value]),
    color: (value) => common_1.enhancer(color, value, common_1.theme[value]),
    opacity: (value) => common_1.enhancer(opacity, value)
};
//# sourceMappingURL=colors.js.map