import { theme } from '../../../themes';
import { ColorOptions, FontSizeOptions, FontWeightOptions } from '../../../themes/ThemeInterface';
export declare type StyleRule = {
    styleName: string;
    rule: string;
};
export declare type CreateEnhancer = (value: string) => StyleRule;
export declare type Enhancer = (payload: EnhancerPayload, value: string, cssValue?: string) => StyleRule;
export declare type EnhancerPayload = {
    className: string;
    cssName: string;
    complex?: boolean;
};
export declare const enhancer: Enhancer;
export { theme, ColorOptions, FontSizeOptions, FontWeightOptions };
//# sourceMappingURL=common.d.ts.map