import { CreateEnhancer } from './common';
export declare type GridEnhancers = {
    grid: CreateEnhancer;
    gridArea: CreateEnhancer;
    gridAutoColumns: CreateEnhancer;
    gridAutoFlow: CreateEnhancer;
    gridAutoRows: CreateEnhancer;
    gridColumn: CreateEnhancer;
    gridColumnEnd: CreateEnhancer;
    gridColumnGap: CreateEnhancer;
    gridColumnStart: CreateEnhancer;
    gridGap: CreateEnhancer;
    gridRow: CreateEnhancer;
    gridRowEnd: CreateEnhancer;
    gridRowGap: CreateEnhancer;
    gridRowStart: CreateEnhancer;
    gridTemplate: CreateEnhancer;
    gridTemplateAreas: CreateEnhancer;
    gridTemplateColumns: CreateEnhancer;
    gridTemplateRows: CreateEnhancer;
};
export declare type GridProps = {
    grid?: string;
    gridArea?: string;
    gridAutoColumns?: string;
    gridAutoFlow?: string;
    gridAutoRows?: string;
    gridColumn?: string;
    gridColumnEnd?: string;
    gridColumnGap?: string;
    gridColumnStart?: string;
    gridGap?: string;
    gridRow?: string;
    gridRowEnd?: string;
    gridRowGap?: string;
    gridRowStart?: string;
    gridTemplate?: string;
    gridTemplateAreas?: string;
    gridTemplateColumns?: string;
    gridTemplateRows?: string;
};
export declare const gridEnhancers: GridEnhancers;
//# sourceMappingURL=grid.d.ts.map