"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("./common");
const grid = {
    className: 'grd',
    cssName: 'grid',
    complex: true
};
const gridArea = {
    className: 'grd-area',
    cssName: 'grid-area',
    complex: true
};
const gridAutoColumns = {
    className: 'grd-ato-col',
    cssName: 'grid-auto-columns',
    complex: true
};
const gridAutoFlow = {
    className: 'grd-ato-flw',
    cssName: 'grid-auto-flow',
    complex: true
};
const gridAutoRows = {
    className: 'grd-ato-row',
    cssName: 'grid-auto-rows',
    complex: true
};
const gridColumn = {
    className: 'grd-col',
    cssName: 'grid-column',
    complex: true
};
const gridColumnEnd = {
    className: 'grd-col-end',
    cssName: 'grid-column-end',
    complex: true
};
const gridColumnGap = {
    className: 'grd-col-gap',
    cssName: 'grid-column-gap',
    complex: true
};
const gridColumnStart = {
    className: 'grd-col-st',
    cssName: 'grid-column-start',
    complex: true
};
const gridGap = {
    className: 'grd-gap',
    cssName: 'grid-gap',
    complex: true
};
const gridRow = {
    className: 'grd-row',
    cssName: 'grid-row',
    complex: true
};
const gridRowEnd = {
    className: 'grd-row-ed',
    cssName: 'grid-row-end',
    complex: true
};
const gridRowGap = {
    className: 'grd-row-gap',
    cssName: 'grid-row-gap',
    complex: true
};
const gridRowStart = {
    className: 'grd-row-st',
    cssName: 'grid-row-start',
    complex: true
};
const gridTemplate = {
    className: 'grd-tmp',
    cssName: 'grid-template',
    complex: true
};
const gridTemplateAreas = {
    className: 'grd-tmp-ars',
    cssName: 'grid-template-areas',
    complex: true
};
const gridTemplateColumns = {
    className: 'grd-tmp-col',
    cssName: 'grid-template-columns',
    complex: true
};
const gridTemplateRows = {
    className: 'grd-tmp-row',
    cssName: 'grid-template-rows',
    complex: true
};
exports.gridEnhancers = {
    grid: (value) => common_1.enhancer(grid, value),
    gridArea: (value) => common_1.enhancer(gridArea, value),
    gridAutoColumns: (value) => common_1.enhancer(gridAutoColumns, value),
    gridAutoFlow: (value) => common_1.enhancer(gridAutoFlow, value),
    gridAutoRows: (value) => common_1.enhancer(gridAutoRows, value),
    gridColumn: (value) => common_1.enhancer(gridColumn, value),
    gridColumnEnd: (value) => common_1.enhancer(gridColumnEnd, value),
    gridColumnGap: (value) => common_1.enhancer(gridColumnGap, value),
    gridColumnStart: (value) => common_1.enhancer(gridColumnStart, value),
    gridGap: (value) => common_1.enhancer(gridGap, value),
    gridRow: (value) => common_1.enhancer(gridRow, value),
    gridRowEnd: (value) => common_1.enhancer(gridRowEnd, value),
    gridRowGap: (value) => common_1.enhancer(gridRowGap, value),
    gridRowStart: (value) => common_1.enhancer(gridRowStart, value),
    gridTemplate: (value) => common_1.enhancer(gridTemplate, value),
    gridTemplateAreas: (value) => common_1.enhancer(gridTemplateAreas, value),
    gridTemplateColumns: (value) => common_1.enhancer(gridTemplateColumns, value),
    gridTemplateRows: (value) => common_1.enhancer(gridTemplateRows, value)
};
//# sourceMappingURL=grid.js.map