import { BorderAliases, BorderEnhancers, BorderProps } from './borders';
import { ColorEnhancers, ColorProps } from './colors';
import { FlexEnhancers, FlexProps } from './flex';
import { GridEnhancers, GridProps } from './grid';
import { LayoutEnhancers, LayoutProps } from './layout';
import { SpacingAliases, SpacingEnhancers, SpacingProps } from './spacing';
import { TypographyEnhancers, TypographyProps } from './typography';
export declare type Enhancers = BorderEnhancers & ColorEnhancers & FlexEnhancers & GridEnhancers & LayoutEnhancers & SpacingEnhancers & TypographyEnhancers;
export declare type StyleProps = BorderProps & ColorProps & FlexProps & GridProps & LayoutProps & SpacingProps & TypographyProps;
export declare type Aliases = BorderAliases & SpacingAliases;
export declare const enhancers: Enhancers;
export declare const aliases: Aliases;
//# sourceMappingURL=index.d.ts.map