import { CreateEnhancer, FontSizeOptions, FontWeightOptions } from './common';
export declare type TypographyEnhancers = {
    font: CreateEnhancer;
    fontSize: CreateEnhancer;
    fontWeight: CreateEnhancer;
    letterSpacing: CreateEnhancer;
    textAlign: CreateEnhancer;
    textDecoration: CreateEnhancer;
    textOverflow: CreateEnhancer;
    textTransform: CreateEnhancer;
    whiteSpace: CreateEnhancer;
};
export declare type TypographyProps = {
    font?: string;
    fontSize?: FontSizeOptions;
    fontWeight?: FontWeightOptions;
    letterSpacing?: string;
    textAlign?: string;
    textDecoration?: string;
    textOverflow?: string;
    textTransform?: string;
    whiteSpace?: string;
};
export declare const typographyEnhancers: TypographyEnhancers;
//# sourceMappingURL=typography.d.ts.map