import { FunctionComponent, ReactNode } from 'react';
import { Enhancers, StyleProps } from './enhancers';
declare type BaseProps = {
    className?: string;
    is?: 'div' | 'span' | 'button';
    onClick?: Function;
    type?: string;
    children?: ReactNode;
    'data-testid'?: string;
    'data-for'?: string;
    'data-tip'?: boolean;
};
export declare type BoxProps = BaseProps & StyleProps;
export declare const Box: FunctionComponent<BoxProps>;
export declare function toPropMap(props: BoxProps): Map<keyof Enhancers, string>;
export {};
//# sourceMappingURL=index.d.ts.map