import React, { Component } from 'react';
import { PanelProps } from '../Panel';
declare type AllowedPanelProps = Pick<PanelProps, Exclude<keyof PanelProps, 'padding'>>;
declare type Props = {
    title?: string;
    onCancel: Function;
    isOpen?: boolean;
    shouldCloseOnClickOverlay?: boolean;
} & AllowedPanelProps;
export default class Dialog extends Component<Props, {}> {
    static Footer: import("styled-components").StyledComponent<"div", import("../../themes/ThemeInterface").default, {}, never>;
    static Body: import("styled-components").StyledComponent<"div", import("../../themes/ThemeInterface").default, {}, never>;
    static defaultProps: Partial<Props>;
    componentDidMount(): void;
    componentWillUnmount(): void;
    onKeyDown(event: KeyboardEvent): void;
    handleOverlayClick: (evt: React.MouseEvent<HTMLDivElement, MouseEvent>) => void;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=Dialog.d.ts.map