"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const styled_1 = __importDefault(require("../../styled"));
const Panel_1 = __importDefault(require("../Panel"));
exports.Overlay = styled_1.default('div') `
  position: fixed;
  top: 0px;
  left: 0px;
  right: 0px;
  left: 0px;
  z-index: 10000;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.65);
`;
exports.DialogContainer = styled_1.default(Panel_1.default) `
  display: flex;
  flex-direction: column;
  margin: auto;
  position: relative;
  top: 3rem;
  max-height: 80%;
  min-width: 500px;
`;
exports.DialogSection = styled_1.default('div') `
  padding: 0.5rem 1rem;
`;
exports.DialogHeader = styled_1.default(exports.DialogSection) `
  border-bottom: 1px solid ${(p) => p.theme.n2};
`;
exports.DialogBody = styled_1.default(exports.DialogSection) `
  overflow: auto;
`;
exports.DialogFooter = styled_1.default(exports.DialogSection) `
  border-top: 1px solid ${(p) => p.theme.n2};
  overflow: visible;
`;
exports.DialogFooterButtons = styled_1.default('div') `
  display: flex;
  justify-content: flex-end;
`;
//# sourceMappingURL=Styles.js.map