"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const FormField_1 = __importDefault(require("./FormField"));
const Select_1 = __importDefault(require("./Select"));
// Option value must match option label for it to be displayed properly due to the way react-select works
const FormSelect = ({ name, options, classNamePrefix = name, ...passThroughProps }) => (react_1.default.createElement(FormField_1.default, Object.assign({ name: name }, passThroughProps, { render: ({ field, form }) => (react_1.default.createElement(Select_1.default, Object.assign({}, field, { id: name, options: options, value: { label: field.value, value: field.value }, onChange: (option) => form.setFieldValue(name, option.value), classNamePrefix: classNamePrefix }))) })));
exports.default = FormSelect;
//# sourceMappingURL=FormSelect.js.map