"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_select_1 = __importDefault(require("react-select"));
const Box_1 = require("../Box");
const Styles_1 = require("./Styles");
const SelectComponent = ({ options, id, label, name, value, onChange, classNamePrefix = name, ...passThroughProps }) => {
    return (react_1.default.createElement(Box_1.Box, Object.assign({}, passThroughProps),
        label && react_1.default.createElement(Styles_1.Label, null, label),
        react_1.default.createElement(react_select_1.default, { id: id, name: name, options: options, value: value, onChange: onChange, classNamePrefix: classNamePrefix, theme: Styles_1.SelectTheme, styles: Styles_1.SelectStyles })));
};
exports.default = SelectComponent;
//# sourceMappingURL=Select.js.map