"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const styled_1 = __importDefault(require("../styled"));
const Box_1 = require("./Box");
exports.PageContent = ({ removePadding = false, children, ...passThroughProps }) => {
    const padding = removePadding ? {} : { paddingX: '2rem', paddingY: '1rem' };
    return (react_1.default.createElement(Box_1.Box, Object.assign({}, padding, passThroughProps), children));
};
exports.PageTitle = styled_1.default(Box_1.Box) `
  padding: 1rem 2rem;
  background: white;
  border-bottom: 1px solid ${(p) => p.theme.n2};
  height: 60px;
`;
//# sourceMappingURL=Layout.js.map