import { Component } from 'react';
import { NotifyFunc, ToastProps } from './types';
declare type Props = {
    bindNotify: (handler: NotifyFunc) => void;
};
declare const initialState: {
    toasts: ToastProps[];
};
declare type State = Readonly<typeof initialState>;
export default class ToasterRoot extends Component<Props, State> {
    state: {
        toasts: ToastProps[];
    };
    id: number;
    constructor(props: Props);
    createToast: NotifyFunc;
    handleClose: (id: number) => void;
    handleRemove: (id: number) => void;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=ToasterRoot.d.ts.map