import { ReactNode } from 'react';
declare type TypeOfToast = 'success' | 'warning' | 'error';
export declare type ToastProps = {
    id?: number;
    content?: ReactNode;
    style?: any;
    onRemove?: any;
    onClose?: any;
    isVisible?: boolean;
} & ToastSettings;
export declare type ToastSettings = {
    duration?: number;
    type?: TypeOfToast;
};
export declare type NotifyFunc = (content: ReactNode, settings: ToastSettings) => void;
export {};
//# sourceMappingURL=types.d.ts.map