import { FunctionComponent } from 'react';
import { ColorOptions, FontSizeOptions, FontWeightOptions, HeadingOptions } from '../themes/ThemeInterface';
import { BoxProps } from './Box';
export declare type TextProps = {
    hoverable?: boolean;
    href?: string;
    linkTo?: string;
    truncate?: boolean;
    size?: FontSizeOptions;
    weight?: FontWeightOptions;
} & BoxProps;
export declare const Text: FunctionComponent<TextProps>;
declare type HeadingProps = {
    color?: ColorOptions;
    truncate?: boolean;
    size?: HeadingOptions;
} & BoxProps;
export declare const Heading: FunctionComponent<HeadingProps>;
export {};
//# sourceMappingURL=Typography.d.ts.map