"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// Color Constants
const primary = 'hsl(209, 34%, 30%)';
const success = 'hsl(160, 51%, 49%)';
const error = 'hsl(360, 83%, 62%)';
const warning = 'hsl(44, 92%, 63%)';
const text = 'hsl(209, 28%, 39%)';
const border = 'hsl(212, 33%, 89%)';
const background = 'hsl(210, 36%, 97%)';
const white = 'white';
const n10 = 'hsl(209, 61%, 16%)';
const n9 = 'hsl(211, 39%, 23%)';
const n8 = 'hsl(209, 34%, 30%)';
const n7 = 'hsl(209, 28%, 39%)';
const n6 = 'hsl(210, 22%, 49%)';
const n5 = 'hsl(209, 23%, 60%)';
const n4 = 'hsl(211, 27%, 70%)';
const n3 = 'hsl(210, 31%, 80%)';
const n2 = 'hsl(212, 33%, 89%)';
const n1 = 'hsl(210, 36%, 96%)';
const b10 = 'hsl(204, 96%, 27%)';
const b9 = 'hsl(203, 87%, 34%)';
const b8 = 'hsl(202, 83%, 41%)';
const b7 = 'hsl(201, 79%, 46%)';
const b6 = 'hsl(199, 84%, 55%)';
const b5 = 'hsl(197, 92%, 61%)';
const b4 = 'hsl(196, 94%, 67%)';
const b3 = 'hsl(195, 97%, 75%)';
const b2 = 'hsl(195, 100%, 85%)';
const b1 = 'hsl(195, 100%, 95%)';
const c10 = 'hsl(184, 91%, 17%)';
const c9 = 'hsl(185, 84%, 25%)';
const c8 = 'hsl(185, 81%, 29%)';
const c7 = 'hsl(184, 77%, 34%)';
const c6 = 'hsl(185, 62%, 45%)';
const c5 = 'hsl(185, 57%, 50%)';
const c4 = 'hsl(184, 65%, 59%)';
const c3 = 'hsl(184, 80%, 74%)';
const c2 = 'hsl(185, 94%, 87%)';
const c1 = 'hsl(186, 100%, 94%)';
const p10 = 'hsl(320, 100%, 19%)';
const p9 = 'hsl(322, 93%, 27%)';
const p8 = 'hsl(324, 93%, 33%)';
const p7 = 'hsl(326, 90%, 39%)';
const p6 = 'hsl(328, 85%, 46%)';
const p5 = 'hsl(330, 79%, 56%)';
const p4 = 'hsl(334, 86%, 67%)';
const p3 = 'hsl(336, 100%, 77%)';
const p2 = 'hsl(338, 100%, 86%)';
const p1 = 'hsl(341, 100%, 95%)';
const r10 = 'hsl(348, 94%, 20%)';
const r9 = 'hsl(350, 94%, 28%)';
const r8 = 'hsl(352, 90%, 35%)';
const r7 = 'hsl(354, 85%, 44%)';
const r6 = 'hsl(356, 75%, 53%)';
const r5 = 'hsl(360, 83%, 62%)';
const r4 = 'hsl(360, 91%, 69%)';
const r3 = 'hsl(360, 100%, 80%)';
const r2 = 'hsl(360, 100%, 87%)';
const r1 = 'hsl(360, 100%, 95%)';
const y10 = 'hsl(15, 86%, 30%)';
const y9 = 'hsl(22, 82%, 39%)';
const y8 = 'hsl(29, 80%, 40%)';
const y7 = 'hsl(36, 77%, 49%)';
const y6 = 'hsl(42, 87%, 55%)';
const y5 = 'hsl(44, 92%, 63%)';
const y4 = 'hsl(48, 94%, 68%)';
const y3 = 'hsl(48, 95%, 76%)';
const y2 = 'hsl(48, 100%, 88%)';
const y1 = 'hsl(49, 100%, 96%)';
const g10 = 'hsl(170, 97%, 15%)';
const g9 = 'hsl(168, 80%, 23%)';
const g8 = 'hsl(166, 72%, 28%)';
const g7 = 'hsl(164, 71%, 34%)';
const g6 = 'hsl(162, 63%, 41%)';
const g5 = 'hsl(160, 51%, 49%)';
const g4 = 'hsl(158, 58%, 62%)';
const g3 = 'hsl(156, 73%, 74%)';
const g2 = 'hsl(154, 75%, 87%)';
const g1 = 'hsl(152, 68%, 96%)';
const hd1 = '2.25rem';
const hd2 = '2rem';
const hd3 = '1.75rem';
const hd4 = '1.5rem';
const hd5 = '1.25rem';
const hd6 = '1.125rem';
const fs200 = '0.625rem';
const fs300 = '0.75rem';
const fs400 = '0.875rem';
const fs500 = '1rem';
const fs600 = '1.125rem';
const fs700 = '1.25rem';
const fwLight = 300;
const fwNormal = 400;
const fwBold = 700;
exports.theme = {
    primary,
    success,
    error,
    warning,
    text,
    border,
    background,
    white,
    n10,
    n9,
    n8,
    n7,
    n6,
    n5,
    n4,
    n3,
    n2,
    n1,
    b10,
    b9,
    b8,
    b7,
    b6,
    b5,
    b4,
    b3,
    b2,
    b1,
    c10,
    c9,
    c8,
    c7,
    c6,
    c5,
    c4,
    c3,
    c2,
    c1,
    p10,
    p9,
    p8,
    p7,
    p6,
    p5,
    p4,
    p3,
    p2,
    p1,
    r10,
    r9,
    r8,
    r7,
    r6,
    r5,
    r4,
    r3,
    r2,
    r1,
    y10,
    y9,
    y8,
    y7,
    y6,
    y5,
    y4,
    y3,
    y2,
    y1,
    g10,
    g9,
    g8,
    g7,
    g6,
    g5,
    g4,
    g3,
    g2,
    g1,
    hd1,
    hd2,
    hd3,
    hd4,
    hd5,
    hd6,
    fs200,
    fs300,
    fs400,
    fs500,
    fs600,
    fs700,
    fwLight,
    fwNormal,
    fwBold,
    navigationHeight: '48px',
    addBorders() {
        return `
			border: 1px solid ${border};
			box-shadow: rgba(0, 0, 0, 0.1) 0px 5px 15px -5px;
		`;
    },
    addBordersWithColor(borderColor, shadowColor) {
        return `
			border: 1px solid ${borderColor};
			box-shadow: ${shadowColor} 0px 5px 15px -5px;
		`;
    },
    addBoxShadow() {
        return `
			transition: box-shadow 0.2s ease;
		`;
    },
    truncate() {
        return `
			text-overflow: ellipsis;
			overflow: hidden;
			white-space: nowrap;
		`;
    },
    toRGB(hex, opacity) {
        let rgb = hex.replace('#', '').split('', 3);
        // tslint:disable-next-line
        rgb.map((str) => parseInt(str));
        if (opacity) {
            rgb = rgb.concat(opacity);
        }
        return `rgba(${rgb.join(',')})`;
    },
    addHover() {
        return `
			transition: opacity 0.2s ease;
			&:hover {
				opacity: 0.7;
				cursor: pointer;
			}
		`;
    },
};
//# sourceMappingURL=index.js.map