import { Component, ReactNode } from 'react';
declare type Props = {
    initialValue?: string;
    children: (payload: {
        handleSelect: (name: string) => void;
        handleSelectAll: (names: string[]) => void;
        isSelected: (name: string) => boolean;
        selected: string[];
    }) => ReactNode;
};
declare const initialState: {
    selected: string[];
};
declare type State = Readonly<typeof initialState>;
export default class Selectable extends Component<Props, State> {
    state: {
        selected: string[];
    };
    componentDidMount(): void;
    handleSelect: (name: string) => void;
    handleSelectAll: (names: string[]) => void;
    isSelected: (name: string) => boolean;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=Selectable.d.ts.map