import { ColorOptions, CreateEnhancer } from './common';
export declare type BorderEnhancers = {
    borderTop: CreateEnhancer;
    borderRight: CreateEnhancer;
    borderBottom: CreateEnhancer;
    borderLeft: CreateEnhancer;
    borderColor: CreateEnhancer;
    borderRadius: CreateEnhancer;
    borderTopColor: CreateEnhancer;
    borderRightColor: CreateEnhancer;
    borderBottomColor: CreateEnhancer;
    borderLeftColor: CreateEnhancer;
};
export declare type BorderProps = {
    border?: string;
    borderTop?: string;
    borderRight?: string;
    borderBottom?: string;
    borderLeft?: string;
    borderColor?: ColorOptions;
    borderRadius?: string;
    borderTopColor?: ColorOptions;
    borderRightColor?: ColorOptions;
    borderBottomColor?: ColorOptions;
    borderLeftColor?: ColorOptions;
};
export declare type BorderAliases = {
    border: (value: string) => Map<string, string>;
};
export declare const borderEnhancers: BorderEnhancers;
export declare const borderAliases: BorderAliases;
//# sourceMappingURL=borders.d.ts.map