"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
// @ts-ignore
const hash_1 = __importDefault(require("@emotion/hash"));
const themes_1 = require("../../../themes");
exports.theme = themes_1.theme;
function parseCssValue(value) {
    // Replace . with - and % with 'prct'
    if (!value)
        return null;
    return value.replace('.', '-').replace('%', 'prct');
}
exports.enhancer = (payload, value, cssValue) => {
    const { className, cssName } = payload;
    const cssSuffix = payload.complex ? hash_1.default(value) : parseCssValue(value);
    const styleName = `${className}_${cssSuffix}`;
    return {
        styleName,
        rule: `.${styleName}{${cssName}: ${cssValue || value}}`
    };
};
//# sourceMappingURL=common.js.map