"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("./common");
const flex = {
    className: 'f',
    cssName: 'flex',
    complex: true
};
const flexBasis = {
    className: 'f-b',
    cssName: 'flex-basis'
};
const flexDirection = {
    className: 'f-d',
    cssName: 'flex-direction'
};
const flexFlow = {
    className: 'f-fl',
    cssName: 'flex-flow'
};
const flexGrow = {
    className: 'f-g',
    cssName: 'flex-grow'
};
const flexShrink = {
    className: 'f-s',
    cssName: 'flex-shrink'
};
const flexWrap = {
    className: 'f-wp',
    cssName: 'flex-wrap'
};
exports.flexEnhancers = {
    flex: (value) => common_1.enhancer(flex, value),
    flexBasis: (value) => common_1.enhancer(flexBasis, value),
    flexDirection: (value) => common_1.enhancer(flexDirection, value),
    flexFlow: (value) => common_1.enhancer(flexFlow, value),
    flexGrow: (value) => common_1.enhancer(flexGrow, value),
    flexShrink: (value) => common_1.enhancer(flexShrink, value),
    flexWrap: (value) => common_1.enhancer(flexWrap, value)
};
//# sourceMappingURL=flex.js.map