"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const borders_1 = require("./borders");
const colors_1 = require("./colors");
const flex_1 = require("./flex");
const grid_1 = require("./grid");
const layout_1 = require("./layout");
const spacing_1 = require("./spacing");
const typography_1 = require("./typography");
exports.enhancers = {
    ...borders_1.borderEnhancers,
    ...colors_1.colorEnhancers,
    ...flex_1.flexEnhancers,
    ...grid_1.gridEnhancers,
    ...layout_1.layoutEnhancers,
    ...spacing_1.spacingEnhancers,
    ...typography_1.typographyEnhancers
};
exports.aliases = {
    ...borders_1.borderAliases,
    ...spacing_1.spacingAliases
};
//# sourceMappingURL=index.js.map