import { CreateEnhancer } from './common';
export declare type LayoutEnhancers = {
    cursor: CreateEnhancer;
    alignContent: CreateEnhancer;
    alignItems: CreateEnhancer;
    alignSelf: CreateEnhancer;
    justifyContent: CreateEnhancer;
    justifyItems: CreateEnhancer;
    justifySelf: CreateEnhancer;
    display: CreateEnhancer;
    zIndex: CreateEnhancer;
    overflow: CreateEnhancer;
    overflowX: CreateEnhancer;
    overflowY: CreateEnhancer;
    height: CreateEnhancer;
    width: CreateEnhancer;
    maxHeight: CreateEnhancer;
    maxWidth: CreateEnhancer;
    minHeight: CreateEnhancer;
    minWidth: CreateEnhancer;
    lineHeight: CreateEnhancer;
    position: CreateEnhancer;
    top: CreateEnhancer;
    right: CreateEnhancer;
    bottom: CreateEnhancer;
    left: CreateEnhancer;
};
export declare type LayoutProps = {
    cursor?: string;
    alignContent?: string;
    alignItems?: string;
    alignSelf?: string;
    justifyContent?: string;
    justifyItems?: string;
    justifySelf?: string;
    display?: string;
    zIndex?: string;
    overflow?: string;
    overflowX?: string;
    overflowY?: string;
    height?: string;
    width?: string;
    maxHeight?: string;
    maxWidth?: string;
    minHeight?: string;
    minWidth?: string;
    lineHeight?: string;
    position?: string;
    top?: string;
    right?: string;
    bottom?: string;
    left?: string;
};
export declare const layoutEnhancers: LayoutEnhancers;
//# sourceMappingURL=layout.d.ts.map