"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class StyleSheet {
    constructor() {
        this.insertRule = (styles) => {
            const tag = this.tags[this.tags.length - 1];
            tag.appendChild(document.createTextNode(styles));
            this.numRules += 1;
            if (this.numRules % 65000) {
                const newTag = this.createTag();
                this.tags.push(newTag);
            }
        };
        this.createTag = () => {
            const tag = document.createElement('style');
            tag.type = 'text/css';
            tag.setAttribute('ly-box', '');
            tag.appendChild(document.createTextNode(''));
            document.getElementsByTagName('head')[0].appendChild(tag);
            return tag;
        };
        this.tags = [this.createTag()];
    }
}
exports.default = StyleSheet;
//# sourceMappingURL=styleSheet.js.map