"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const Box_1 = require("./Box");
const Typography_1 = require("./Typography");
exports.Breadcrumbs = ({ items, ...props }) => (react_1.default.createElement(Box_1.Box, Object.assign({}, props), items.map((breadcrumb) => breadcrumb.link ? (react_1.default.createElement(Typography_1.Text, { linkTo: breadcrumb.link, color: "n6", size: "fs400", weight: "fwLight", display: "inline", key: breadcrumb.label },
    breadcrumb.label,
    " /",
    ' ')) : (react_1.default.createElement(Typography_1.Text, { size: "fs400", weight: "fwLight", display: "inline", key: breadcrumb.label }, breadcrumb.label)))));
//# sourceMappingURL=Breadcrumbs.js.map