import { FunctionComponent } from 'react';
import { BoxProps } from '../Box';
export { default as ButtonGroup } from './ButtonGroup';
declare type Props = {
    onClickNavigateTo?: string;
    label?: string;
    onClick?: Function;
    disabled?: boolean;
    primary?: boolean;
    success?: boolean;
    warning?: boolean;
    danger?: boolean;
    loading?: boolean;
    submit?: boolean;
} & AllowedBoxProps;
declare type AllowedBoxProps = Pick<BoxProps, Exclude<keyof BoxProps, 'color' | 'background' | 'height' | 'padding' | 'paddingBottom' | 'paddingLeft' | 'paddingRight' | 'paddingTop' | 'paddingX' | 'paddingY' | 'fontSize'>>;
export declare const Button: FunctionComponent<Props>;
//# sourceMappingURL=index.d.ts.map