/// <reference types="react" />
import { BoxProps } from './Box';
declare type ChipProps = Pick<BoxProps, Exclude<keyof BoxProps, 'padding' | 'paddingBottom' | 'paddingLeft' | 'paddingRight' | 'paddingTop' | 'paddingX' | 'paddingY'>> & {
    style?: any;
} & {
    padding?: 'thin' | 'normal';
};
export declare const Chip: import("styled-components").StyledComponent<import("react").FunctionComponent<BoxProps>, any, ChipProps, never>;
export {};
//# sourceMappingURL=Chip.d.ts.map