"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const styled_components_1 = __importDefault(require("styled-components"));
const Box_1 = require("./Box");
exports.Chip = styled_components_1.default(Box_1.Box) `
  border-radius: 3px;
  text-align: center;
  background: ${(props) => (props.background ? props.background : props.theme.n1)};
  padding: ${(props) => {
    switch (props.padding) {
        case 'thin':
            return '0px 12px';
        case 'normal':
            return '3px 12px';
        default:
            return '3px 12px';
    }
}};
  ${(props) => (props.onClick ? ':hover { cursor: pointer; }' : null)}
`;
//# sourceMappingURL=Chip.js.map