"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const Box_1 = require("./Box");
const Panel_1 = __importDefault(require("./Panel"));
const Typography_1 = require("./Typography");
exports.EmptyState = ({ primaryLabel, secondaryLabel, children, withPanel, ...props }) => {
    if (withPanel) {
        return (react_1.default.createElement(Box_1.Box, Object.assign({}, props),
            react_1.default.createElement(Panel_1.default, null,
                react_1.default.createElement(Typography_1.Text, { size: "fs400" }, primaryLabel),
                secondaryLabel ? (react_1.default.createElement(Typography_1.Text, { color: "n6", size: "fs300", marginTop: "1rem", marginBottom: "1rem" }, secondaryLabel)) : null,
                children)));
    }
    else {
        return (react_1.default.createElement(Box_1.Box, Object.assign({}, props),
            react_1.default.createElement(Typography_1.Text, { size: "fs400" }, primaryLabel),
            secondaryLabel ? (react_1.default.createElement(Typography_1.Text, { color: "n6", size: "fs300", marginTop: "1rem", marginBottom: "1rem" }, secondaryLabel)) : null,
            children));
    }
};
//# sourceMappingURL=EmptyState.js.map