import { ChangeEvent, FocusEvent, FunctionComponent } from 'react';
export declare type InputProps = {
    id?: string;
    className?: string;
    onChange?: (evt: ChangeEvent<HTMLInputElement>) => void;
    onBlur?: (evt: FocusEvent<HTMLInputElement>) => void;
    onFocus?: (evt: FocusEvent<HTMLInputElement>) => void;
    type?: string;
    placeholder?: string;
    error?: boolean;
    value?: string | number;
    width?: string;
    'data-testid'?: string;
};
declare const Input: FunctionComponent<InputProps>;
export default Input;
//# sourceMappingURL=Input.d.ts.map