import { FunctionComponent } from 'react';
import { BoxProps } from '../Box';
export declare type SelectOption = {
    label: string;
    value: string;
};
export declare type SelectProps = {
    options: SelectOption[];
    id?: string;
    label?: string;
    name?: string;
    value?: SelectOption;
    onChange?: (value: SelectOption) => void;
    classNamePrefix?: string;
} & BoxProps;
declare const SelectComponent: FunctionComponent<SelectProps>;
export default SelectComponent;
//# sourceMappingURL=Select.d.ts.map