"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const add_svg_1 = __importDefault(require("../../assets/svg/add.svg"));
const arrow_down_svg_1 = __importDefault(require("../../assets/svg/arrow-down.svg"));
const arrow_up_svg_1 = __importDefault(require("../../assets/svg/arrow-up.svg"));
const cancel_thicker_svg_1 = __importDefault(require("../../assets/svg/cancel-thicker.svg"));
const cancel_svg_1 = __importDefault(require("../../assets/svg/cancel.svg"));
const caret_down_svg_1 = __importDefault(require("../../assets/svg/caret-down.svg"));
const caret_left_svg_1 = __importDefault(require("../../assets/svg/caret-left.svg"));
const caret_right_svg_1 = __importDefault(require("../../assets/svg/caret-right.svg"));
const caret_up_svg_1 = __importDefault(require("../../assets/svg/caret-up.svg"));
const checkmark_svg_1 = __importDefault(require("../../assets/svg/checkmark.svg"));
const database_svg_1 = __importDefault(require("../../assets/svg/database.svg"));
const edit_svg_1 = __importDefault(require("../../assets/svg/edit.svg"));
const ellipsis_svg_1 = __importDefault(require("../../assets/svg/ellipsis.svg"));
const error_svg_1 = __importDefault(require("../../assets/svg/error.svg"));
const expand_svg_1 = __importDefault(require("../../assets/svg/expand.svg"));
const group_svg_1 = __importDefault(require("../../assets/svg/group.svg"));
const info_svg_1 = __importDefault(require("../../assets/svg/info.svg"));
const leapyear_full_svg_1 = __importDefault(require("../../assets/svg/leapyear-full.svg"));
const leapyear_svg_1 = __importDefault(require("../../assets/svg/leapyear.svg"));
const loading_svg_1 = __importDefault(require("../../assets/svg/loading.svg"));
const privacy_svg_1 = __importDefault(require("../../assets/svg/privacy.svg"));
const question_svg_1 = __importDefault(require("../../assets/svg/question.svg"));
const remove_svg_1 = __importDefault(require("../../assets/svg/remove.svg"));
const search_svg_1 = __importDefault(require("../../assets/svg/search.svg"));
const settings_svg_1 = __importDefault(require("../../assets/svg/settings.svg"));
const success_svg_1 = __importDefault(require("../../assets/svg/success.svg"));
const table_svg_1 = __importDefault(require("../../assets/svg/table.svg"));
const times_svg_1 = __importDefault(require("../../assets/svg/times.svg"));
const user_svg_1 = __importDefault(require("../../assets/svg/user.svg"));
const warning_svg_1 = __importDefault(require("../../assets/svg/warning.svg"));
const iconMap = {
    add: add_svg_1.default,
    arrowDown: arrow_down_svg_1.default,
    arrowUp: arrow_up_svg_1.default,
    cancelThicker: cancel_thicker_svg_1.default,
    cancel: cancel_svg_1.default,
    caretDown: caret_down_svg_1.default,
    caretLeft: caret_left_svg_1.default,
    caretRight: caret_right_svg_1.default,
    caretUp: caret_up_svg_1.default,
    checkmark: checkmark_svg_1.default,
    database: database_svg_1.default,
    edit: edit_svg_1.default,
    ellipsis: ellipsis_svg_1.default,
    error: error_svg_1.default,
    expand: expand_svg_1.default,
    group: group_svg_1.default,
    info: info_svg_1.default,
    leapyearFull: leapyear_full_svg_1.default,
    leapyear: leapyear_svg_1.default,
    loading: loading_svg_1.default,
    privacy: privacy_svg_1.default,
    question: question_svg_1.default,
    remove: remove_svg_1.default,
    search: search_svg_1.default,
    settings: settings_svg_1.default,
    success: success_svg_1.default,
    table: table_svg_1.default,
    times: times_svg_1.default,
    user: user_svg_1.default,
    warning: warning_svg_1.default,
};
exports.iconKeys = Object.keys(iconMap);
exports.default = iconMap;
//# sourceMappingURL=iconMap.js.map