import { FunctionComponent } from 'react';
import { PanelProps } from './Panel';
declare type InfoBoxColors = 'primary' | 'warning' | 'danger' | 'success';
declare type AllowedPanelProps = Pick<PanelProps, Exclude<keyof PanelProps, 'color'>>;
export declare type InfoBoxProps = {
    type: InfoBoxColors;
} & AllowedPanelProps;
export declare const InfoBox: FunctionComponent<InfoBoxProps>;
export {};
//# sourceMappingURL=InfoBox.d.ts.map