/// <reference types="react" />
import { BoxProps } from './Box';
export declare type PanelPadding = 'none' | 'thin' | 'medium' | 'thick';
declare type AllowedPanelProps = Pick<BoxProps, Exclude<keyof BoxProps, 'padding' | 'paddingBottom' | 'paddingLeft' | 'paddingRight' | 'paddingTop' | 'paddingX' | 'paddingY'>> & {
    style?: any;
};
export declare type PanelProps = AllowedPanelProps & {
    padding?: PanelPadding;
};
export declare const Panel: import("styled-components").StyledComponent<import("react").FunctionComponent<BoxProps>, import("../themes/ThemeInterface").default, PanelProps, never>;
export default Panel;
//# sourceMappingURL=Panel.d.ts.map