import { ReactNode } from 'react';
import { ToastSettings } from './types';
declare type NotifyFuncVariant = (content: ReactNode, settings?: Pick<ToastSettings, Exclude<keyof ToastSettings, 'type'>>) => void;
export default class Toaster {
    constructor();
    notify: NotifyFuncVariant;
    success: NotifyFuncVariant;
    warning: NotifyFuncVariant;
    error: NotifyFuncVariant;
    private notifyHandler;
    private bindNotifyToToaster;
}
export {};
//# sourceMappingURL=Toaster.d.ts.map