import * as styledComponents from 'styled-components';
import ThemeInterface from './themes/ThemeInterface';
declare const styled: styledComponents.ThemedBaseStyledInterface<ThemeInterface>, css: styledComponents.BaseThemedCssFunction<ThemeInterface>, createGlobalStyle: <P extends object = {}>(first: styledComponents.CSSObject | TemplateStringsArray | styledComponents.InterpolationFunction<styledComponents.ThemedStyledProps<P, ThemeInterface>>, ...interpolations: styledComponents.Interpolation<styledComponents.ThemedStyledProps<P, ThemeInterface>>[]) => styledComponents.GlobalStyleComponent<P, ThemeInterface>, keyframes: (strings: TemplateStringsArray | styledComponents.CSSKeyframes, ...interpolations: styledComponents.SimpleInterpolation[]) => styledComponents.Keyframes;
declare const ThemeProvider: React.ComponentClass<styledComponents.ThemeProviderProps<ThemeInterface, ThemeInterface>, any>;
export interface StyledInterface {
    style?: any;
    theme?: ThemeInterface;
    children?: any;
    className?: string;
    key?: number | string;
    'data-testid'?: string;
    ref?: any;
}
export { css, createGlobalStyle, keyframes, ThemeProvider };
export default styled;
//# sourceMappingURL=styled.d.ts.map