"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const styled_1 = require("../styled");
const themes_1 = require("../themes");
exports.withTheme = (WrappedComponent) => {
    return class extends react_1.Component {
        render() {
            return (react_1.default.createElement(styled_1.ThemeProvider, { theme: themes_1.theme },
                react_1.default.createElement(WrappedComponent, Object.assign({}, this.props))));
        }
    };
};
exports.Theme = ({ children }) => (react_1.default.createElement(styled_1.ThemeProvider, { theme: themes_1.theme }, children));
//# sourceMappingURL=Theme.js.map